/*
 * Copyright 2018-2020 KunMinX
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.kunminx.puremusic;

import android.app.Application;

import androidx.annotation.NonNull;
import androidx.lifecycle.ViewModelStore;
import androidx.lifecycle.ViewModelStoreOwner;

import com.kunminx.puremusic.utils.Utils;

/**
 * Create by KunMinX at 19/10/29
 */
public class App extends Application implements ViewModelStoreOwner {

  private ViewModelStore mAppViewModelStore;

  @Override
  public void onCreate() {
    super.onCreate();

    mAppViewModelStore = new ViewModelStore();

    Utils.init(this);
  }

  @NonNull
  @Override
  public ViewModelStore getViewModelStore() {
    return mAppViewModelStore;
  }

}
